Jump to content
Legacy14

Drafting projects

Recommended Posts

Legacy14

I am working on my drafting projects. What is the best way to draw the lines for the floor plans? Is it okay to use the MLINE command or is there a better way to get the 6" and 4" walls? :unsure:

Share this post


Link to post
Share on other sites
rkmcswain

I'm going with your profile that you are using plain AutoCAD 2010.

 

IMO....

Mlines are okay, but just recognize that they are not really mainstream in vanilla AutoCAD use (AFAIK) because most people drawing walls, etc. are using AutoCAD Arch, or some other program that has custom objects to represent those special things.

If it comes down to some fine editing of your drawing, you may find that you have to explode the mlines to get it to look like you desire.

Experiment and see what you think.

Share this post


Link to post
Share on other sites
BIGAL

We use a version of a mline that draws the 4 lines in one go and on different layers, also internal walls as 2 lines, with smart join and trim routines sorry all copyrighted. I apologise for posting this image again, need to make a new one. This is all plain jane autocad.

 

3dhouse.jpg

Share this post


Link to post
Share on other sites
ReMark

If you are an experienced AutoCAD user it's possible you could do this using a continuous polyline for the footprint of the building then offset the required distance for the wall. Then you can use lines or polylines for the interior walls.

Share this post


Link to post
Share on other sites
Dadgad

Welcome to CADTutor. :)

 

I really like MLINES, and think that they are under utilized by most users, although as RK points out, there are some issues when using them.

I have a small library of Mlines I made up for drawing common steel profiles, but I rarely use them because I tend to use SOLPROF instead from 3D Models.

If all of your exterior walls are 6", you could quickly trace around your footprint with a multiline and create them, remember that you are in charge of the display justification, meaning relative to the base line you draw.

If you look at the options for Multilines, you have a fair amount of control over them, when creating and defining the style.

In the screenshot you can see those steel profile multilines which I include in my default .dwt, so if I need them, I remember which ones are available. The more elements included in the multiline, the more valuable it becomes, for a double line, OFFSET is pretty hard to beat. In the flange view multilines in my screenshot, you draw the web at the same time as the flange by drawing a single line, which is extremely accurate and fast.

 

As ReMark suggested, this can quite easily be accomplished using the OFFSET command too.

multiline styles in my template.JPG

multiline styles in my template.jpg

Edited by Dadgad

Share this post


Link to post
Share on other sites
BIGAL

Like others the simplest way is draw outside wall line then just offset you make a simple lisp that has the standard wall sizes pre set. There are heaps of offset code available. In the example above we have an extra routine drag a line over a wall, 4 lines and it sets then the wall spacings automatically. The code for the image is like 20 years+ old.

 

Here is a simple offset routine that has extra offsets added. I know I posted a routine that was like offset 4,6,4 meaning 4" wall 6" gap 4" wall just trying to find it may be at work.

 

(defun C:MULOFF ( / obj s off)
(vl-load-com)
(setq obj (entsel "\nSelectObject"))
(setq s (getpoint "\nPick Offset side"))
(while (/= (setq off (getreal "\nEnter offset or Enter to exit")) nil)
(vl-cmdf "_.offset" off obj s "")
)
)
(c:muloff)

Share this post


Link to post
Share on other sites
Legacy14

Thanks to everyone for your comments. I found that offset works wonders for me. It made completing the subdivision so much easier for Oleson Village. I followed the thread by ReMark and it made so much sense. Thank you, ReMark for your patience with those of us who are amateurs. I only have a couple if things left to do in the Village before I turn it in.

 

I do have a question concerning putting the text in the drawing. How do I get the text in the place that I want it? For example, in the Oleson Village project, it says to put the bearings under the the property line. The book nor the project booklet give much info on how to do that with precision.

Share this post


Link to post
Share on other sites
ReMark

You can get the text aligned in a couple of ways. This is one way....

 

Invoke the SNAPANG command at the command line. When prompted to "Enter new value for SNAPANG " use your mouse to pick one end of the line you want to place your text over. When prompted to "Specify second point" pick the other end of your line. Your crosshairs should now mimic the angle of the line. Use the Single Line Text feature and the Justify option. Make the justification "Center". Specify the center point of the text by selecting the midpoint of the line. Specify the height of your text. When it comes to Specifying the angle of your text pick the right hand end of the line. Type your text then hit the Enter key twice to accept it. Use the MOVE command to move the text off the line to get some space between the bottom of the text and the line itself.

 

Now somewhere along the way you should have invoked the UNITS command and set the Angle type to Deg/Min/Sec and the Precision to 0d00'00". Do you recall doing that?

Edited by ReMark

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×